summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuangrongFu <fu.guangrong@zte.com.cn>2021-03-10 10:22:20 +0800
committerGuangrongFu <fu.guangrong@zte.com.cn>2021-04-13 08:17:02 +0800
commit6a12273500d73ed4852f3fa84b6aaaa5f27c2776 (patch)
tree9b2c790a13466e216c21a45965dfe85a3305cb39
parent15ab3356e20eaf438d0be6ca9d3ba506991f1254 (diff)
Init DB Using envsubst
Change-Id: Idefe8a70f9ca2634516cf9212372e74505ad91cd Issue-ID: HOLMES-396 Signed-off-by: GuangrongFu <fu.guangrong@zte.com.cn>
-rw-r--r--engine-d-standalone/src/main/assembly/bin/initDB.sh6
-rw-r--r--engine-d-standalone/src/main/assembly/bin/run.sh2
2 files changed, 4 insertions, 4 deletions
diff --git a/engine-d-standalone/src/main/assembly/bin/initDB.sh b/engine-d-standalone/src/main/assembly/bin/initDB.sh
index 9571e59..3d2e8bc 100644
--- a/engine-d-standalone/src/main/assembly/bin/initDB.sh
+++ b/engine-d-standalone/src/main/assembly/bin/initDB.sh
@@ -26,7 +26,7 @@ echo "Initializing the holmes engine management database..."
main_path=$HOME/..
# if deployed using helm, use the helm-generated configuration file.
-if [[ -d /opt/hemconfig ]]; then
+if [ -d /opt/hemconfig ]; then
cp /opt/hemconfig/onap-holmes_engine-createobj.sql "$main_path/dbscripts/postgresql/onap-holmes_engine-createobj.sql"
else
sed -i "s|DBNAME|$dbname|g" "$main_path/dbscripts/postgresql/onap-holmes_engine-createobj.sql"
@@ -42,7 +42,7 @@ echo "password=$password"
echo "port=$port"
echo "host=$host"
-if [[ -z `env | grep PGPASSWORD` ]]; then
+if [ -z `env | grep PGPASSWORD` ]; then
export PGPASSWORD=$password
need_unset=1
fi
@@ -51,7 +51,7 @@ psql -U "$user" -p "$port" -h "$host" -d "$dbname" -f $main_path/dbscripts/postg
psql -U "$user" -p "$port" -h "$host" -d "$dbname" --command 'select * from alarm_info;'
sql_result=$?
-if [[ $need_unset -eq 1 ]]; then
+if [ $need_unset -eq 1 ]; then
unset PGPASSWORD
fi
diff --git a/engine-d-standalone/src/main/assembly/bin/run.sh b/engine-d-standalone/src/main/assembly/bin/run.sh
index 0969273..4a528d8 100644
--- a/engine-d-standalone/src/main/assembly/bin/run.sh
+++ b/engine-d-standalone/src/main/assembly/bin/run.sh
@@ -49,7 +49,7 @@ if [ -z ${DB_NAME} ]; then
fi
# if deployed using helm, use the helm-generated configuration file.
-if [[ -d /opt/hemconfig ]]; then
+if [ -d /opt/hemconfig ]; then
cp /opt/hemconfig/engine-d.yml "$main_path/conf/engine-d.yml"
else
sed -i "s|url:.*|url: jdbc:postgresql://$URL_JDBC/$DB_NAME|" "$main_path/conf/engine-d.yml"